Bug 26671 - random signal 7 crash during file install
random signal 7 crash during file install
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Florence Gold
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-08 00:30 EST by Dan Morrill
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-10 18:21:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Morrill 2001-02-08 00:30:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.17 alpha)


7.1b1 crashes during installation apparently at random when installing
from a CD-RW, during the file copy (i.e. RPM installation) phase of
the install.  Easily reproducible.

The bug does NOT appear on 7.0 or 6.2;  it appears every time on 7.1b1
(no successful install yet) but has never appeared on 7.0 or 6.2.
The problem does not seem to manifest on an FTP install of 7.1b1.

This leads me to believe that the signal 7 (sigbus?) is occurring due
to a bug in the IDE (ide-scsi?) CDROM driver in the 2.4 kernel being
used.

Reproducible: Always
Steps to Reproduce:
1. Attempt to install from a CD-RW
2. Wait for a while, until it gets into the thick of copying files
3. Behold! the signal 7, anaconda termination, and system shutdown
	

Actual Results:  anaconda dies with a signal 7 (whether from text or GUI),
and the
system aborts the install and shuts down.

Depending on what I do to the disk (such as setting the bootable
flag on certain partitions, selecting different package combinations,
etc.) it fails at different points, but has failed with 100%
reliability immediately after the disk change 

Expected Results:  The install should have completed.

Hardware:

- AMD Duron 750MHz
- Artec 4x,4x,24x CD-RW
- WD Caviar 30GB disk
- Tyan S2390 motherboard (VIA KT-133 chipset)

Again, I suspect a kernel bug.
Comment 1 Michael Fulbright 2001-02-08 12:10:51 EST
Have you verified that the CD was burned w/o errors?
Comment 2 Glen Foster 2001-02-08 18:40:46 EST
We (Red Hat) should really try to resolve this before next release.
Comment 3 Dan Morrill 2001-02-08 21:28:45 EST
I'm not sure how to test if the CD burned correctly.  I don't see why it
wouldn't have -- I burned a bunch of other CDs that same day, and all of
them came out correctly.  Plus, it seems strange that a corrupted RPM or other
data file would generate a sigbus. Also, some files (e.g. glibc) always
succeed under some circumstances, but always fail under others.

Anyway, how can I test to see if the CD burned correctly?  I guess in the
meantime I can try burning another copy...  I can also try an FTP install again.
Comment 4 Glen Foster 2001-02-09 18:15:27 EST
We (Red Hat) should really try to resolve this before next release.
Comment 5 Dan Morrill 2001-02-10 16:21:56 EST
I burned new copies of the CDs, and the same problem appeared.
I will now try an FTP install, but that might be pretty painful bandwidth-wise.
Comment 6 Dan Morrill 2001-02-10 18:21:03 EST
An FTP install was successful.  I did a minimal install, and then put in
the CD to install the remainder of the RPMs.  During an `rpm --install ...`
I got this error:

hdd: cdrom_decode_status: status=0x51 { DriveReady SeekComplete Error }
hdd: cdrom_decode_status: error=0x30

I ^C-ed rpm, hit the up arrow to repeat the command, and it completed with
no error the second time.

I bet this is the error that was killing the installer;  perhaps
anaconda isn't masking sigbus, whereas RPM is, or something, so anaconda
just dies with a generic error.
Comment 7 Michael Fulbright 2001-02-15 12:31:24 EST
Those errors means the CD is bad.  The installer tries to handle read errors
from the CD, but some are severe enough they cause a hang or crash.

Note You need to log in before you can comment on or make changes to this bug.